Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Any_Special_Impl_T< T, from_T, to_T > Class Template Reference

Template Any class for bounded IDL (w)strings. More...

`#include <Any_Special_Impl_T.h>`

Inheritance diagram for TAO::Any_Special_Impl_T< T, from_T, to_T >:

[legend]
Collaboration diagram for TAO::Any_Special_Impl_T< T, from_T, to_T >:

[legend]
List of all members.

## Public Methods
| Any_Special_Impl_T (_tao_destructor destructor, CORBA::TypeCode_ptr, T *const, CORBA::ULong bound)
virtual | ~Any_Special_Impl_T (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &)
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const void * | value (void) const
virtual void | free_value (void)
## Static Public Methods
void | insert (CORBA::Any &, _tao_destructor destructor, CORBA::TypeCode_ptr, T *const, CORBA::ULong bound)
CORBA::Boolean | extract (const CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, const T *&, CORBA::ULong bound)
## Private Attributes
T * | value_
CORBA::ULong | bound_

## Detailed Description

### template<typename T, typename from_T, typename to_T>
class TAO::Any_Special_Impl_T< T, from_T, to_T >

Template Any class for bounded IDL (w)strings.

## Constructor & Destructor Documentation

template<typename T, typename from_T, typename to_T>
TAO::Any_Special_Impl_T< T, from_T, to_T >::Any_Special_Impl_T | ( | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | T * | const,
|  | CORBA::ULong | bound
| ) |

template<typename T, typename from_T, typename to_T>
TAO::Any_Special_Impl_T< T, from_T, to_T >::~Any_Special_Impl_T | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename T, typename from_T, typename to_T>
virtual void TAO::Any_Special_Impl_T< T, from_T, to_T >::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T, typename from_T, typename to_T>
ACE_INLINE CORBA::Boolean TAO::Any_Special_Impl_T< T, from_T, to_T >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<typename T, typename from_T, typename to_T>
CORBA::Boolean TAO::Any_Special_Impl_T< T, from_T, to_T >::extract | ( | const CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | const T *& | ,
|  | CORBA::ULong | bound
| ) | `[static]`

template<typename T, typename from_T, typename to_T>
void TAO::Any_Special_Impl_T< T, from_T, to_T >::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T, typename from_T, typename to_T>
void TAO::Any_Special_Impl_T< T, from_T, to_T >::insert | ( | CORBA::Any & | ,
|  | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | T * | const,
|  | CORBA::ULong | bound
| ) | `[static]`

template<typename T, typename from_T, typename to_T>
ACE_INLINE CORBA::Boolean TAO::Any_Special_Impl_T< T, from_T, to_T >::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

template<typename T, typename from_T, typename to_T>
ACE_INLINE const void * TAO::Any_Special_Impl_T< T, from_T, to_T >::value | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

## Member Data Documentation

template<typename T, typename from_T, typename to_T>
CORBA::ULong TAO::Any_Special_Impl_T< T, from_T, to_T >::bound_`[private]`

template<typename T, typename from_T, typename to_T>
T* TAO::Any_Special_Impl_T< T, from_T, to_T >::value_`[private]`

The documentation for this class was generated from the following files:

- Any_Special_Impl_T.h
- Any_Special_Impl_T.cpp
- Any_Special_Impl_T.inl